summaryrefslogtreecommitdiff
path: root/dev-python/plotly
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-09-13 04:56:54 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-09-13 04:56:54 +0000
commit0422c762a11ff5f24c2a02ba04c14eaf2e0d4f2a (patch)
treee0112fa64c8464853138707d834917b6a1d402fc /dev-python/plotly
parent29d16742fb77e300dfeadf7b6f3472bb4fa072c2 (diff)
downloadbaldeagleos-repo-0422c762a11ff5f24c2a02ba04c14eaf2e0d4f2a.tar.gz
baldeagleos-repo-0422c762a11ff5f24c2a02ba04c14eaf2e0d4f2a.tar.xz
baldeagleos-repo-0422c762a11ff5f24c2a02ba04c14eaf2e0d4f2a.zip
Adding metadata
Diffstat (limited to 'dev-python/plotly')
-rw-r--r--dev-python/plotly/Manifest2
-rw-r--r--dev-python/plotly/files/plotly-5.8.0-fix-versioneer-import.patch15
-rw-r--r--dev-python/plotly/plotly-5.24.1.ebuild (renamed from dev-python/plotly/plotly-5.23.0.ebuild)17
3 files changed, 11 insertions, 23 deletions
diff --git a/dev-python/plotly/Manifest b/dev-python/plotly/Manifest
index e20cd129ec8a..cb19b6192f51 100644
--- a/dev-python/plotly/Manifest
+++ b/dev-python/plotly/Manifest
@@ -1,2 +1,2 @@
-DIST plotly.py-5.23.0.gh.tar.gz 31606651 BLAKE2B f34d1df464cac49ab834674be8815b97535d8f59e4263d8f68d82f2c2c52976a26b13fe9275f4a90fe0c0848449807dcd8342c0e5309d4b39d61b39cb31d8db5 SHA512 96573bf5952b29a75d2c87029c1041f05d08f4f891d63d5999372d64c211abc5982308dcfbf7590981cd0666ae84ccbee8c9a22e8e2b97571fc8c6a4e634cdbc
DIST plotly.py-5.24.0.gh.tar.gz 32084853 BLAKE2B 87371902c0f654a16e0d2b97655614b99e05511a298839b244d3147bd2330b70275d1235f4b75eb3bb1dc13289e4d6dab71ec68710d59f1cec467e05e998c609 SHA512 42071af552f666dcc98efe4995a156212971ca92a6320e18861c6e804ab5cd0641c8b772958d3080780aab48e779fc02a13c327c18b36c5077cd137f59f86aff
+DIST plotly.py-5.24.1.gh.tar.gz 32096988 BLAKE2B 79c1f3350bb43780f5f5f2f54955591875c2819a4b819e667e8df14ae72e42cf2939167a3425bd725e80af8823c8578a9cf286f4e4d82881578ca13f7e1cd860 SHA512 dc1484f5b0630bd4d936ab23231be7a577b887701f1f3c33d8f6501dc65718d871bee7af9f467fe130d2e7dcdded22717562352ce4ec70d25bc368faeb51d0e8
diff --git a/dev-python/plotly/files/plotly-5.8.0-fix-versioneer-import.patch b/dev-python/plotly/files/plotly-5.8.0-fix-versioneer-import.patch
deleted file mode 100644
index 37582b05429d..000000000000
--- a/dev-python/plotly/files/plotly-5.8.0-fix-versioneer-import.patch
+++ /dev/null
@@ -1,15 +0,0 @@
-https://bugs.gentoo.org/841002
-https://github.com/plotly/plotly.py/pull/3757
-https://github.com/dandi/dandi-cli/pull/998
-https://github.com/mgorny/gpep517/issues/1
---- a/setup.py
-+++ b/setup.py
-@@ -11,7 +11,7 @@ from distutils import log
- # ensure the current directory is on sys.path; so versioneer can be imported
- # when pip uses PEP 517/518 build rules.
- # https://github.com/python-versioneer/python-versioneer/issues/193
--sys.path.append(os.path.dirname(__file__))
-+sys.path.insert(0, os.path.dirname(__file__))
-
- import versioneer
-
diff --git a/dev-python/plotly/plotly-5.23.0.ebuild b/dev-python/plotly/plotly-5.24.1.ebuild
index 926e1edb9718..3897c36840cc 100644
--- a/dev-python/plotly/plotly-5.23.0.ebuild
+++ b/dev-python/plotly/plotly-5.24.1.ebuild
@@ -33,6 +33,7 @@ RDEPEND="
>=dev-python/tenacity-6.2.0[${PYTHON_USEDEP}]
"
BDEPEND="
+ dev-python/versioneer[${PYTHON_USEDEP}]
test? (
dev-python/ipykernel[${PYTHON_USEDEP}]
dev-python/ipython[${PYTHON_USEDEP}]
@@ -61,16 +62,18 @@ distutils_enable_tests pytest
# README ends up a broken symlink
DOCS=()
-PATCHES=(
- "${FILESDIR}"/${PN}-5.8.0-fix-versioneer-import.patch
- # https://github.com/plotly/plotly.py/pull/4622
- "${FILESDIR}/${P}-numpy-2.patch"
-)
-
python_prepare_all() {
+ local PATCHES=(
+ # https://github.com/plotly/plotly.py/pull/4622
+ "${FILESDIR}/${PN}-5.23.0-numpy-2.patch"
+ )
+
+ distutils-r1_python_prepare_all
+
+ # unbundle versioneer
+ rm versioneer.py || die
# Do not try to fetch stuff with npm
export SKIP_NPM=1
- distutils-r1_python_prepare_all
}
python_test() {